Home
last modified time | relevance | path

Searched refs:BAcurve (Results 1 – 6 of 6) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/HLRBRep/
H A DHLRBRep.cxx185 BRepAdaptor_Curve BAcurve(anEdge); in MakeEdge3d() local
186 fpar = BAcurve.FirstParameter(); in MakeEdge3d()
187 lpar = BAcurve.LastParameter(); in MakeEdge3d()
203 gp_Pnt aPnt = BAcurve.Value(U1); in MakeEdge3d()
210 gp_Pnt aPnt = BAcurve.Value(U2); in MakeEdge3d()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepOffset/
H A DBRepOffset_Tool.cxx495 BRepAdaptor_Curve BAcurve( E ); in OrientSection() local
497 GCPnts_AbscissaPoint AP(BAcurve,GCPnts_AbscissaPoint::Length(BAcurve)/2.0,f); in OrientSection()
1275 BRepAdaptor_Curve BAcurve(RefEdge); in CheckIntersFF() local
1276 gp_Pnt Pref = BAcurve.Value((BAcurve.FirstParameter()+BAcurve.LastParameter())/2); in CheckIntersFF()
4178 BRepAdaptor_Curve BAcurve(anEdge); in UpdateVertexTolerances() local
4179 gp_Pnt aPnt = BAcurve.Value(aParam); in UpdateVertexTolerances()
4184 aPnt = BAcurve.Value(lpar); in UpdateVertexTolerances()
H A DBRepOffset_MakeOffset.cxx3065 BRepAdaptor_Curve BAcurve(anEdge); in MakeMissingWalls() local
3067 Standard_Real fpar = BAcurve.FirstParameter(); in MakeMissingWalls()
3068 Standard_Real lpar = BAcurve.LastParameter(); in MakeMissingWalls()
3069 gp_Pnt PonE = BAcurve.Value(fpar); in MakeMissingWalls()
3074 if (BAcurve.GetType() == GeomAbs_Circle && in MakeMissingWalls()
3077 gp_Circ aCirc = BAcurve.Circle(); in MakeMissingWalls()
3089 gp_Pnt PonEL = BAcurve.Value(lpar); in MakeMissingWalls()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_TrimShellCorner.cxx2353 BRepAdaptor_Curve BAcurve(anEdge); in FindEdgeCloseToBisectorPlane() local
2354 gp_Pnt FirstPnt = BAcurve.Value(BAcurve.FirstParameter()); in FindEdgeCloseToBisectorPlane()
2355 gp_Pnt LastPnt = BAcurve.Value(BAcurve.LastParameter()); in FindEdgeCloseToBisectorPlane()
H A DBRepFill_Sweep.cxx382 BRepAdaptor_Curve BAcurve [2]; in CorrectSameParameter() local
387 BAcurve[0].Initialize(theEdge, theFace1); in CorrectSameParameter()
395 BAcurve[1].Initialize(theEdge, theFace2); in CorrectSameParameter()
409 gp_Pnt aPntFromFace = BAcurve[j].Value(aParam); in CorrectSameParameter()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepOffsetAPI/
H A DBRepOffsetAPI_MiddlePath.cxx110 BRepAdaptor_Curve BAcurve(anEdge); in TypeOfEdge() local
111 return BAcurve.GetType(); in TypeOfEdge()